%global momorel 1

# Generated from tokyocabinet-1.26.gem by gem2rpm -*- rpm-spec -*-
# for Momonga Linux	
%global ruby_sitelib %(ruby -rrbconfig -e "puts Config::CONFIG['sitelibdir']")
%global gemdir %(ruby -rubygems -e 'puts Gem::dir' 2>/dev/null)
%global gemname tokyocabinet
%global geminstdir %{gemdir}/gems/%{gemname}-%{version}

Summary: Tokyo Cabinet: a modern implementation of DBM
Name: rubygem-%{gemname}
Version: 1.26
Release: %{momorel}m%{?dist}
Group: Development/Languages
License: GPLv2+ or Ruby
URL: http://tokyocabinet.sourceforge.net/
# 1. get http://tokyocabinet.sourceforge.net/rubypkg/tokyocabinet-ruby-xxx.tar.gz
# 2. tar zxvf tokyocabinet-ruby-xxx.tar.gz
# 3. gem build tokyocabinet.gemspec
Source0: %{gemname}-%{version}.gem
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires: rubygems
BuildRequires: rubygems
Provides: rubygem(%{gemname}) = %{version}

%description
Tokyo Cabinet is a library of routines for managing a database.  The database
is a simple data file containing records, each is a pair of a key and a value.
Every key and value is serial bytes with variable length.  Both binary data
and character string can be used as a key and a value.  There is neither
concept of data tables nor data types.  Records are organized in hash table,
B+ tree, or fixed-length array.


%prep

%build

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{gemdir}
gem install --local --install-dir %{buildroot}%{gemdir} \
            --force --rdoc %{SOURCE0}

%clean
rm -rf %{buildroot}

%files
%defattr(-, root, root, -)
%{gemdir}/gems/%{gemname}-%{version}/
%doc %{gemdir}/doc/%{gemname}-%{version}
%{gemdir}/cache/%{gemname}-%{version}.gem
%{gemdir}/specifications/%{gemname}-%{version}.gemspec


%changelog
* Wed Jul  1 2009 Yohsuke Ooi <meke@momonga-linux.org> 
- (1.26-1m)
- Initial package for Momonga Linux
